PixVerse V4 Effects
Amalaich
pixverse/v4/effects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixverse/v4/effects?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/pixverse/v4/effects?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/pixverse/v4/effects", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/gd/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "pixverse/v4/effects",
"input": {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Cuir fòn chun mhodail PixVerse V4 Effects (pixverse/v4/effects) tro Doitong API. Sgrìobhainnean airson àidseantan: https://doitong.com/gd/developers/models/pixverse/v4/effects.md
POST https://api.doitong.com/v1/run/pixverse/v4/effects?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
Ma tha inbhe na freagairt "queued" no "running", dèan poll air GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 gus am bi i "succeeded"; tha na faidhlichean ann an outputs[].url. Bidh POST https://api.doitong.com/v1/quote/pixverse/v4/effects leis an aon bhodhaig a’ tilleadh na prìse cheart ron ruith.
Faidhlichean mar an eisimpleir: $0.20 200 creideasan API thèid na faidhlichean agad a thomhas ron ruith Ruith e air an duilleig seo
An iuchair API ùr agad. Chan eil e ri fhaicinn ach an-dràsta, agus tha e mar-thà sa chòd agus ann an raon iuchair API gu h-ìosal. Cùm dìomhair e: na cuir ann an còd a ruitheas ann am brabhsair gu bràth.
Thèid a’ chiad toradh agad an-seo
Tog iarrtas gu h-ìosal agus ruith e leis an iuchair API agad. Tha na h-às-churan air an lethbhreacadh dhan stòradh againn, air an cumail gu bràth no 7 latha an-asgaidh.
Tog iarrtas
Tha na smachdan air an cruthachadh bho sgeama a’ mhodail. Bidh an còd agus a’ phrìs ag ùrachadh fhad ’s a dh’atharraicheas tu iad.
/run/pixverse/v4/effects?wait=20
tuairmse → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixverse/v4/effects?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/pixverse/v4/effects?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/pixverse/v4/effects", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "pixverse/v4/effects",
"input": {
"effect": "Kiss Me AI",
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
Ruith an t-iarrtas seo
Fuirichidh an iuchair agad sa bhrobhsair seo: thèid a cur chun Doitong API a-mhàin agus a sàbhaladh (localStorage) a-mhàin ma chuireas tu comharra ri Cuimhnich. Faigh iuchair API
Mu PixVerse V4 Effects
Tagh aon `effect` à 154 roghainn, leithid Kiss, Muscle Surge, Hug no Holy Wings, agus thoir seachad `image_url` mar a’ chiad fhrèam. Is e an fad 5 no 8 diog agus an rùn 360p, 540p, 720p no 1080p. Chan eil prompt a dhìth, ged a ghabhas `negative_prompt` a shuidheachadh.
Paramadairean
Cuir an t-ainm canonical no an t-ainm dùthchasach, chan e an dà chuid. Ainmean canonical
effectriatanach
+138 eile
Punch FaceCreepy Devil SmileThunder GodEye Zoom ChallengeWho's Arrested?Baby ArrivedWerewolf RageBald SwipeBOOM DROPHuge CutieLiquid MetalSharksnap!Dust Me Away3D Figurine FactorBikini UpMy GirlfriendsMy BoyfriendsSubject 3 FeverEarth ZoomPole DanceVroom DanceGhostFace TerrorDragon EvokerSkeletal BaeSummoning succubusHalloween Voodoo Doll3D Naked-Eye ADPackage ExplosionDishes ServedOcean adSupermarket ADTree dollCome Feel My AbsThe Bicep FlexLondon Elite VibeFlora Nymph GownChristmas CostumeIt's SnowyReindeer CruiserSnow Globe MakerPet Christmas OutfitAdopt a Polar PalCat Christmas BoxStarlight Gift BoxXmas PosterPet Christmas TreeCity Santa HatStocking SweetieChristmas NightXmas Front Page KarmaGrinch's Xmas HijackGiant ProductTruck Fashion ShootBeach ADShoal SurroundMechanical AssemblyLighting ADBillboard ADProduct close-upParachute DeliveryDreamlike CloudMacaron MachinePoster ADTruck ADGraffiti AD3D Figurine FactoryThe Exclusive First ClassArt Zoom ChallengeI QuitHitchcock Dolly ZoomSmell the LensI believe I can flyStrikout DanceCourtside CamPit Crew MomentK-Baseball SprintToddler DoodleIdol EndingApex DanceOmniHero ForgePalm DecodeThe Age RippleMy Future Is LimitlessKnee SlideEpic Goal SaveSideline Ball BoyCup CelebrationVictory RoarVuvuzela FanWorld Champion LiftTunnel to CaptainLiquid Soccer MorphJump Into Crowd 2Golden Pitch CrasherStadium Fan CamBroadcast Moto GPThe Grotesque ClayRookie Star CardThe Final HugSharp Post-Match CommentStreet MaverickPitch LegendOne Step At A TimeBirthday MirrorSuperstar LobbyFinal Battle RoomTop of the WorldMini Me UnboxedWonderPOP SurpriseWhite ChicksKiss meWhat a DayThe Last Leap at SunsetTiny Sticker Chef ChaosMini Squeeze ToyTearful GunmanStreet Fashion CaricatureMini Me MakeoverStreet Art AwakeningHug TogetherACAI dance DuetPUBG Winner Hit!Blocky Mini-MeCheat Day BustedMiniSocial RechargeMy Little Perler CharmWhere did this cobweb come from?Holy Beast Summoning TechniqueIT'S THE FIRST OF THE MONTHPet EditorialThree lifetime bondPixel WorldMint in BoxHands up, HandFlora Nymph GoSomber EmbraceBeam me upSuit Swaggerimage_urlriatanach
image
resolutionroghainneil
durationroghainneil
negative_promptroghainneil
enable_safety_checkerroghainneil
Gabhaidh paramadairean faidhle ri URL poblach https://, URI data: suas ri 10 MB, no file_url de luchdachadh suas. Faidhlichean
Toradh
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "pixverse/v4/effects",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 200,
"usd": "0.20",
"charged": 200,
"refunded": 0
},
"input": {
"effect": "Kiss Me AI",
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Raointean toraidh
- video
- object {url, content_type, file_name, file_size}Bhidio a chaidh a chruthachadh leis a’ mhodail.
Seòrsaichean eile de PixVerse
Barrachd mhodalan: Ìomhaigh gu Bhidio
Do riochdairean AI: tha an duilleag seo mar Markdown aig https://doitong.com/gd/developers/models/pixverse/v4/effects.md. Na modailean agus na treòraichean uile: https://doitong.com/developers/llms.txt